<div class="header p-20" fxLayoutAlign="center start">
	<div fxFlex=""
		[fxFlex.gt-md]="90"
		[fxFlex.gt-lg]="80">

		<h3 fxFlex="">Список приемных кампаний </h3>

		<button mat-flat-button color="accent" (click)="createNewCampaign()"> Создать новую кампанию </button>
	</div>



</div>

<div class="main-content" fxLayoutAlign="center start">
	<app-loader *ngIf="isLoad"> </app-loader>


	<div fxFlex=""
		[fxFlex.gt-md]="90"
		[fxFlex.gt-lg]="80"
		[@animate]="{value:'*',params:{delay:'300ms',y:'25px'}}">

		<div class="art-card">
			<div >
				<mat-form-field class="search no-padding" appearance="standard" fxFlex="">
					<input matInput type="text"
						[(ngModel)]="params.search_name"
						(ngModelChange)="searchText.next($event)"
						placeholder="Поиск"  >
					<button *ngIf="params.search_name" mat-icon-button matSuffix aria-label="Clear"
						(click)="params.search_name='';searchText.next('') ">
						<mat-icon matSuffix svgIcon="close" ></mat-icon>
					</button>
				</mat-form-field>
			</div>
			<div class="list" >
				<mat-list >
					<ng-container *ngFor="let item of campaigns" >
						<app-campaign-item  [item]="item"> </app-campaign-item>
						<mat-divider></mat-divider>
					</ng-container>
					<mat-list-item *ngIf="!campaigns?.length">
						<i> Приемных кампаний не найдено </i>
					</mat-list-item>
				</mat-list>

			</div>


		</div>

		<app-art-pagination class="p-20" (goPage)="pagination.next($event)"
			(goNext)="pagination.next(params.page + 1)"
			(goPrev)="pagination.next(params.page - 1)"
			[pagesToShow]="pageToShow"
			[page]="params.page"
			[perPage]="params.limit"
			[total]="total"></app-art-pagination>
	</div>
</div>
